POST api/Challenges/Posts

Request Information

URI Parameters

None.

Body Parameters

ChallengePostsModel
NameDescriptionTypeAdditional information
challengeId

integer

None.

accountId

integer

None.

page

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "challengeId": 1,
  "accountId": 2,
  "page": 1
}

text/plain, application/octet-stream

Sample:
{"challengeId":1,"accountId":2,"page":1}

application/xml, text/xml

Sample:
<ChallengePostsModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.Services.Challenges">
  <accountId>2</accountId>
  <challengeId>1</challengeId>
  <page>1</page>
</ChallengePostsModel>

multipart/form-data, application/form-data

Sample:
<ChallengePostsModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.Services.Challenges"><accountId>2</accountId><challengeId>1</challengeId><page>1</page></ChallengePostsModel>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

Collection of ChallengePostsDto
NameDescriptionTypeAdditional information
id

integer

None.

accountId

integer

None.

title

string

None.

description

string

None.

commentArtGuid

globally unique identifier

None.

image

string

None.

date

date

None.

shareCount

integer

None.

totalLikes

integer

None.

commentSystemCommentsCount

integer

None.

userName

string

None.

profileImage

string

None.

isLiked

boolean

None.

Response Formats

application/json, text/json

Sample:
[
  {
    "id": 1,
    "accountId": 2,
    "title": "sample string 3",
    "description": "sample string 4",
    "commentArtGuid": "2c636fa8-5161-4d5e-8c93-96ef4b542b95",
    "image": "sample string 1",
    "date": "2026-04-12T17:54:14.531223+03:00",
    "shareCount": 8,
    "totalLikes": 9,
    "commentSystemCommentsCount": 10,
    "userName": "sample string 11",
    "profileImage": "sample string 2",
    "isLiked": true
  },
  {
    "id": 1,
    "accountId": 2,
    "title": "sample string 3",
    "description": "sample string 4",
    "commentArtGuid": "2c636fa8-5161-4d5e-8c93-96ef4b542b95",
    "image": "sample string 1",
    "date": "2026-04-12T17:54:14.531223+03:00",
    "shareCount": 8,
    "totalLikes": 9,
    "commentSystemCommentsCount": 10,
    "userName": "sample string 11",
    "profileImage": "sample string 2",
    "isLiked": true
  }
]

text/plain, application/octet-stream

Sample:
[{"id":1,"accountId":2,"title":"sample string 3","description":"sample string 4","commentArtGuid":"2c636fa8-5161-4d5e-8c93-96ef4b542b95","image":"sample string 1","date":"2026-04-12T17:54:14.531223+03:00","shareCount":8,"totalLikes":9,"commentSystemCommentsCount":10,"userName":"sample string 11","profileImage":"sample string 2","isLiked":true},{"id":1,"accountId":2,"title":"sample string 3","description":"sample string 4","commentArtGuid":"2c636fa8-5161-4d5e-8c93-96ef4b542b95","image":"sample string 1","date":"2026-04-12T17:54:14.531223+03:00","shareCount":8,"totalLikes":9,"commentSystemCommentsCount":10,"userName":"sample string 11","profileImage":"sample string 2","isLiked":true}]

application/xml, text/xml

Sample:
<ArrayOfChallengePostsDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.Services.Challenges">
  <ChallengePostsDto>
    <accountId>2</accountId>
    <commentArtGuid>2c636fa8-5161-4d5e-8c93-96ef4b542b95</commentArtGuid>
    <commentSystemCommentsCount>10</commentSystemCommentsCount>
    <date>2026-04-12T17:54:14.531223+03:00</date>
    <description>sample string 4</description>
    <id>1</id>
    <image>sample string 1</image>
    <isLiked>true</isLiked>
    <profileImage>sample string 2</profileImage>
    <shareCount>8</shareCount>
    <title>sample string 3</title>
    <totalLikes>9</totalLikes>
    <userName>sample string 11</userName>
  </ChallengePostsDto>
  <ChallengePostsDto>
    <accountId>2</accountId>
    <commentArtGuid>2c636fa8-5161-4d5e-8c93-96ef4b542b95</commentArtGuid>
    <commentSystemCommentsCount>10</commentSystemCommentsCount>
    <date>2026-04-12T17:54:14.531223+03:00</date>
    <description>sample string 4</description>
    <id>1</id>
    <image>sample string 1</image>
    <isLiked>true</isLiked>
    <profileImage>sample string 2</profileImage>
    <shareCount>8</shareCount>
    <title>sample string 3</title>
    <totalLikes>9</totalLikes>
    <userName>sample string 11</userName>
  </ChallengePostsDto>
</ArrayOfChallengePostsDto>

multipart/form-data, application/form-data

Sample:
<ArrayOfChallengePostsDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.Services.Challenges"><ChallengePostsDto><accountId>2</accountId><commentArtGuid>2c636fa8-5161-4d5e-8c93-96ef4b542b95</commentArtGuid><commentSystemCommentsCount>10</commentSystemCommentsCount><date>2026-04-12T17:54:14.531223+03:00</date><description>sample string 4</description><id>1</id><image>sample string 1</image><isLiked>true</isLiked><profileImage>sample string 2</profileImage><shareCount>8</shareCount><title>sample string 3</title><totalLikes>9</totalLikes><userName>sample string 11</userName></ChallengePostsDto><ChallengePostsDto><accountId>2</accountId><commentArtGuid>2c636fa8-5161-4d5e-8c93-96ef4b542b95</commentArtGuid><commentSystemCommentsCount>10</commentSystemCommentsCount><date>2026-04-12T17:54:14.531223+03:00</date><description>sample string 4</description><id>1</id><image>sample string 1</image><isLiked>true</isLiked><profileImage>sample string 2</profileImage><shareCount>8</shareCount><title>sample string 3</title><totalLikes>9</totalLikes><userName>sample string 11</userName></ChallengePostsDto></ArrayOfChallengePostsDto>